This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 434884 - Kernel Clock Drift
Kernel Clock Drift
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Gleixner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 18:49 EST by Craig Kelley
Modified: 2009-01-09 01:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:03:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Craig Kelley 2008-02-25 18:49:12 EST
Fedora 8's kernels drift excessively; from as little as 24 seconds/day to
upwards of an hour.

Fedora Core 6's base install kernel (2.6.18-1.2798.fc6.i686) works fine, as does
Suse 10.1 (2.6.16.13-4).  Changing the clocksource to pit, hpet, jiffies or
acpi_pm doesn't help, and some even make it worse.  Using "nohz=off highres=off
" does not solve the problem (as per Fedora wiki instructions).

The behavior manifests itself on HP's dc7700 and their rp5700.

HP has confirmed the following:
The RTC is within expected tolerance 
The 8254 is within expected tolerance 
The HPET is within expected tolerance 
The Vista system time is within expected tolerance 
The WXP system time is within expected tolerance 
The Suse 10.1 Linux system time is within expected tolerance 
The Fedora Core 8 (various kernels) show out of tolerance system time on a
multitude of platforms and a multitude of kernel builds.

We can provide demsg, lspci, or any other information needed.
Comment 1 Jon Stanley 2008-02-25 19:07:48 EST
Try booting with clocksource=acpi_pm if that's not what was selected by the
kernel (cat /sys/devices/system/clocksource/clocksource0/current_clocksource). 
This should solve the problem.
Comment 2 Jon Stanley 2008-02-25 19:37:43 EST
Oops, didn't see that changing the clocksource didn't help.  It's expected that
some would have made it worse on an SMP system.  Just for the record, what is
the current clocksource?
Comment 3 Michael Landon 2008-02-26 12:56:02 EST
The current clocksource on the dc7700 and rp5700 is "tsc."
Comment 4 Chuck Ebbert 2008-02-27 11:38:27 EST
Possibly fixed by this commit, but it seems to imply the maximum drift observed
was 283ppm:

Gitweb:    
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=e13a2e61dd5152f5499d2003470acf9c838eab84
Commit:     e13a2e61dd5152f5499d2003470acf9c838eab84
Parent:     25f666300625d894ebe04bac2b4b3aadb907c861
Author:     john stultz <johnstul@us.ibm.com>
AuthorDate: Sun Feb 10 10:48:03 2008 +0100
Committer:  Thomas Gleixner <tglx@linutronix.de>
CommitDate: Sun Feb 10 10:48:03 2008 +0100

    ntp: correct inconsistent interval/tick_length usage
Comment 5 Craig Kelley 2008-02-27 13:27:51 EST
Patch believes that the ntp.c patch has already been applied to
kernel-2.6.23.15-137.fc8.  I applied the timex.h patch and rebuilt, but it had
no effect on the clock drift.
Comment 6 Michael Landon 2008-03-07 10:22:06 EST
We have been able to reduce the drift to ~1.5 secs every 24 hrs on a single-
CPU unit by adjusting the kernel's tick & frequency settings:

   /sbin/adjtimex --tick 10002 --frequency -1048576

On a dual core unit, the drift is ~3 secs very 24 hrs w/ those settings.
Comment 7 Bug Zapper 2008-11-26 04:56:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:03:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.